## org.eclipse.datatools.modelbase.sql.query
Interface OrderByOrdinal

All Superinterfaces:
  OrderBySpecification, SQLObject, SQLQueryObject

All Known Implementing Classes:
  OrderByOrdinalImpl

    public interface OrderByOrdinal

extends OrderBySpecification

A representation of the model object 'SQL Order By Ordinal'.

The following features are supported:

- `Ordinal Value`

See Also:
  `SQLQueryModelPackage.getOrderByOrdinal()`

Method Summary
`int` `getOrdinalValue()` Returns the value of the 'Ordinal Value' attribute.
`void` `setOrdinalValue(int value)` Sets the value of the '`Ordinal Value`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.OrderBySpecification
`getNullOrderingOption, getOrderingSpecOption, getSelectStatement, isDescending, setDescending, setNullOrderingOption, setOrderingSpecOption, setSelectStatement`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getOrdinalValue

    int getOrdinalValue()

  Returns the value of the 'Ordinal Value' attribute.

  If the meaning of the 'Ordinal Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Ordinal Value' attribute.
  See Also:
    `setOrdinalValue(int)`, `SQLQueryModelPackage.getOrderByOrdinal_OrdinalValue()`

### setOrdinalValue

    void setOrdinalValue(int value)

  Sets the value of the '`Ordinal Value`' attribute.

  Parameters:
    `value` - the new value of the 'Ordinal Value' attribute.
  See Also:
    `getOrdinalValue()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.